| Schema — OPTIONAL |
|---|
deployment_error object — OPTIONALInformation returned by REST API endpoints on error. detailsDetailed error metadata.
The contents of this field is determined by error_code. | error_code stringError code is a string that specifies this error type. | message stringHuman-readable error message. |
| deployment_has_error boolean | deployment_resources_desired_status stringPossible values: [Stopped, Provisioned] | deployment_resources_status stringPossible values: [Stopped, Provisioning, Provisioned, Stopping] Pipeline resources status. /start (early start failed) ┌───────────────────┐ │ ▼ Stopped ◄────────── Stopping /start │ ▲ │ │ /stop?force=true │ │ OR: timeout (from Provisioning) ▼ │ OR: fatal runtime or resource error ⌛Provisioning ────────────│ OR: runtime status is Suspended │ │ │ │ ▼ │ Provisioned ─────────────┘
Desired and actual statusWe use the desired state model to manage the lifecycle of a pipeline. In this model, the
pipeline has two status attributes associated with it: the desired status, which represents
what the user would like the pipeline to do, and the current status, which represents the
actual (last observed) status of the pipeline. The pipeline runner service continuously monitors
the desired status field to decide where to steer the pipeline towards. There are two desired statuses:
Provisioned (set by invoking /start)
Stopped (set by invoking /stop?force=true)
The user can monitor the current status of the pipeline via the GET /v0/pipelines/{name}
endpoint. In a typical scenario, the user first sets the desired status, e.g., by invoking the
/start endpoint, and then polls the GET /v0/pipelines/{name} endpoint to monitor the actual
status of the pipeline until its deployment_resources_status attribute changes to
Provisioned indicating that the pipeline has been successfully provisioned, or Stopped with
deployment_error being set. | deployment_resources_status_details — OPTIONAL | deployment_runtime_desired_status string — OPTIONALPossible values: [Unavailable, Coordination, Standby, Paused, Running, Suspended] | deployment_runtime_status string — OPTIONALPossible values: [Unavailable, Coordination, Standby, Initializing, AwaitingApproval, Bootstrapping, Replaying, Paused, Running, Suspended] Runtime status of the pipeline. Of the statuses, only Unavailable is determined by the runner. All other statuses are
determined by the pipeline and taken over by the runner. | deployment_runtime_status_details — OPTIONAL | event_id uuidPipeline monitor event identifier. | program_status stringPossible values: [Pending, CompilingSql, SqlCompiled, CompilingRust, Success, SqlError, RustError, SystemError] Program compilation status. | recorded_at date-time | storage_status stringPossible values: [Cleared, InUse, Clearing] Storage status. The storage status can only transition when the resources status is Stopped. Cleared ───┐ ▲ │ /clear │ │ │ │ Clearing │ ▲ │ │ │ InUse ◄───┘
| storage_status_details — OPTIONAL |
|